Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.server
Interface DestinationManager

public interface DestinationManager

Version:
  `$Revision: 1.19 $` $Id: DestinationManager.java,v 1.19 2006/02/28 16:48:12 timfox Exp $
Author:
  Ovidiu Feodorov

Method Summary
`java.lang.String` | `registerDestination(boolean isQueue, java.lang.String name, java.lang.String jndiName, org.w3c.dom.Element securityConfig)` Method called by a destination service to register itself with the server peer.
`void` | `unregisterDestination(boolean isQueue, java.lang.String name)` Method called by a destination service to unregister itself from the server peer.

Method Detail

### registerDestination

    public java.lang.String registerDestination(boolean isQueue,
                                                java.lang.String name,
                                                java.lang.String jndiName,
                                                org.w3c.dom.Element securityConfig)
                                         throws JMSException

  Method called by a destination service to register itself with the server peer. The server peer will create and maintain state on behalf of the destination until the destination unregisters itself.

  Returns:
    the name under which the destination was bound in JNDI.
  Throws:
    `JMSException`

### unregisterDestination

    public void unregisterDestination(boolean isQueue,
                                      java.lang.String name)
                               throws JMSException

  Method called by a destination service to unregister itself from the server peer. The server peer is supposed to clean up the state maintained on behalf of the unregistered destination.

  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.